
<!doctype html>
<html lang=fr>
<?php									
	session_start(); // On récupére les données de la seession
	if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] !=1) )
	{
		header("Location: index.php"); // Si l'acteur de la session n'est pas un prof on retourne à l'accueil'
		exit();
	}
	?>

	<head>
		<title>Evaluation Fil de l'eau</title>
		<meta charset=utf-8> 
		<meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">		
	</head>
	
	<body>
		<header>
			<?php 
				include('includes/header_simple.inc'); 
				echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].' '.$_SESSION['NomEtab'].'</h3>';
				include('includes/menu_prof.inc'); 
			?>
		</header>
		
		<article>
			<h3>Evaluation Fil de l'eau</h3>	
			<?php
				
				require ('connect/mysqli_connect.php'); // recup connection
				// ///////////////////GET                            //////////////////////////
				if ( (isset($_GET['id'])) && (is_numeric($_GET['id'])) ) 
				{
					$numEtudiant = $_GET['id'];
					
					// select étudiant concerné par l'evaluation'
						$numEval=$_SESSION['numEval'];
						
						//select evaluation
						$q = "	SELECT * 
								FROM  evaluation
								WHERE numEval=$numEval";
								
						$result = mysqli_query ($dbcon, $q)or die('erreur SQL '.mysqli_error($dbcon));
						$nb_ligneEval = mysqli_num_rows($result); //compte le nombre de lignes
						
						If ($nb_ligneEval==1)
						{
							$Eval=array();
							$Eval= mysqli_fetch_array ($result, MYSQLI_ASSOC);
				    	}
						else
						{
							echo 'Plus de 1 eval selectionnée pas possible $nb_ligne_eval= '.$nb_ligneEval;
						}
						// Selection etudiant
						$q = "SELECT nomact,prenomact
						FROM acteur
						WHERE numact='$numEtudiant';";
		
						$result = mysqli_query ($dbcon, $q)or die(mysqli_error($dbcon));
						$Etudiant = mysqli_fetch_array($result, MYSQLI_ASSOC);
									
						// REQUETE  Critère de l'évaluation
			
						$q= ' 	SELECT codeCritere, libelleCritere 
									FROM evalcritere
									WHERE epreuvecritere="'.$Eval['epreuveEval'].'";';	
									
						$result = mysqli_query ($dbcon, $q) or die(mysqli_error($dbcon));
						$nb_ligne = mysqli_num_rows($result); //compte le nombre de lignes
						if ($nb_ligne==0)
						{
							echo '0 crtieres  retournés';
						}
						else
						{ 
							$nbrecritere=0;
							while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC))
							{	
								$nbrecritere++;
								$tabCritere[$nbrecritere] = $row;	
				    		}
						}
						
						$q= ' 	SELECT *
									FROM evalnote
									WHERE numEval="'.$Eval['numEval'].'"
									AND numEtudiant="'.$numEtudiant.'";';
				
						$result = mysqli_query ($dbcon, $q)or die(mysqli_error($dbcon));
						$nb_ligne = mysqli_num_rows($result); //compte le nombre de lignes
						
						if ($nb_ligne==0)
						{
							$tabNote['numEval']=$Eval['numEval'];
							$tabNote['numEtudiant']=$numEtudiant;
							$tabNote['note1']='NN';
							$tabNote['note2']='NN';
							$tabNote['note3']='NN';
							$tabNote['note4']='NN';
							$tabNote['note5']='NN';
							$tabNote['note6']='NN';
							$tabNote['note7']='NN';
							
							$q= 'INSERT INTO evalnote
								(numEval, numEtudiant, note1, note2, note3, note4, note5, note6, note7)
								 VALUES ("'.$Eval['numEval'].'","'.$numEtudiant.'","'.$tabNote['note1'].'","'.$tabNote['note2'].'","'.$tabNote['note3'].'",
								"'.$tabNote['note4'].'","'.$tabNote['note5'].'","'.$tabNote['note6'].'","'.$tabNote['note7'].'");';
							
							$result = mysqli_query ($dbcon, $q)or die('erreur ds insert  : '.mysqli_error($dbcon));
							
								 
						}
						
						else if ($nb_ligne==1)
						{ 
							$tabNote = mysqli_fetch_array($result, MYSQLI_BOTH);
						}
						else // plus de une ligne
						echo 'ERRRRRRRRRRRRRRRRRRRRRRRRRRRE';
				}
				//////////////////////////////////// POST /////////////////////////////////////////////
				
				elseif ($_SERVER['REQUEST_METHOD'] == 'POST')
				{// Récup données rentrées ds le formulaire"
					
					$numEtudiant = $_POST['numEtudiant'];
					$nbrecritere= $_POST['nbrecritere'];
					$numEval=$_SESSION['numEval'];
					
					$tabNote[1]=$_POST['n1'];
					$tabNote[2]=$_POST['n2'];
					$tabNote[3]=$_POST['n3'];
					$tabNote[4]=$_POST['n4'];
					$tabNote[5]=$_POST['n5'];
					$tabNote[6]=$_POST['n6'];
	
					if ($nbrecritere==7)
					{
						$tabNote[7]=$_POST['n7'];
					}	
					else
					{
						$tabNote[7]=999; // EP E42 n'a que 6 crtières
					}
					
					
					// Vérif données
					$errors = array();
					
					if (!empty($errors))
					{
						// Display the errors
						echo '<p class="alert erreur "> ERREURS !! Pas de modifications : : <br />';
						foreach ($errors as $msg)
						{ // Echo each error.
							echo " - $msg<br />\n";
							echo'</p>';
						}
					 // End of if (empty($errors))section.
					}
					else // si pas d'erreurs on met à jour la Bdd'	
					{
						$q = "UPDATE evalnote SET 
						note1='$tabNote[1]', 
						note2='$tabNote[2]',
						note3='$tabNote[3]',
						note4='$tabNote[4]',
						note5='$tabNote[5]',
						note6='$tabNote[6]',
						note7='$tabNote[7]'
						WHERE numEtudiant='$numEtudiant' AND numEval='$numEval'";
						
						$result = @mysqli_query ($dbcon, $q);
						if (mysqli_affected_rows($dbcon) == 1) // If it ran OK
						{
							
							echo '<p class="alert succes">Mise à jour effectuée &nbsp;&nbsp;';
							echo'<a class="bouton10 "href="prof_eval_note_liste.php?id='.$numEval.'" >OK</a></p>';
							exit;			
							// retour 
						}			
						else 
						{ 
							echo '<div id="zone_alerte"><p class="alert erreur">Aucune modif réalisée</p></div>'; // Echo a message if the query failed
							// Error message
						}
					}
				}
				else 
						'<div id="zone_alerte"><p class="alert erreur">Page atteitne par erreur</p></div>'; 

			?>		
			<!------------------------------------------------------------------>				
			<!--                           Création formulaire                -->
			<!--                                                             -->
			
			<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">
				<!-- récup de l'Id -->
				<input type="hidden" name="numEtudiant" value= <?php echo $numEtudiant ?> >
				<input type="hidden" name="nbrecritere" value= <?php echo $nbrecritere ?> >
				
				<table>
					<tr>
						<th style="width:10%">Etudiant</th>
						<?php
							for ($i=1;$i<=$nbrecritere;$i++)
							{
								echo '<th style="width:10%">'.$tabCritere[$i]['codeCritere'].'<br> '.$tabCritere[$i]['libelleCritere'].'</th>';
							}
						?>
					</tr>
					<tr>
						<td style="width:10%"> <?php echo $Etudiant['nomact'] ?> </td>
						<td> <input name="n1" value="<?php echo $tabNote['note1'] ?>"> </td>
						<td> <input name="n2" value="<?php echo $tabNote['note2'] ?>"> </td> 
						<td> <input name="n3" value="<?php echo $tabNote['note3'] ?>"></td>
						<td> <input name="n4" value="<?php echo $tabNote['note4'] ?>"></td> 
						<td> <input name="n5" value="<?php echo $tabNote['note5'] ?>"></td> 
						<td> <input name="n6" value="<?php echo $tabNote['note6'] ?>"></td> 
						<!--1 note de plus pour E52 -->
						<?php 
							if ($nbrecritere==7)
							{
									echo'<td><input name="n7" value="'.$tabNote['note7'].'"></td>></td>></td>';
							}
						?>					
					</tr>
				</table>
				
				<p class=centre40>
					<input id="submit" type="submit" name="submit" value="Mettre à jour">
				</p>
			</form>
			
		</article>	
		
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>	
	</body>
</html>